Page MenuHomePhabricator

Investigate wiki page / wikitext annotation plugin for grafana
Closed, ResolvedPublic

Description

Plugins are easy, so lets make one?

Event Timeline

Addshore raised the priority of this task from to Needs Triage.
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 27 2015, 11:13 AM
Addshore renamed this task from Investigate storing wikidata related events in graphite for display on dashboards to Investigate wiki page / wikitext annotation plugin for grafana.Nov 27 2015, 5:50 PM
Addshore updated the task description. (Show Details)
Addshore set Security to None.
Addshore triaged this task as Normal priority.Nov 27 2015, 9:22 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 3 2015, 3:41 PM

So I have a rough draft that should work and pull data from dashiki like pages.
One issue right now is CORS, and an exception may be needed to actually make this useful!

Addshore moved this task from ToDo to Doing on the WMDE-Analytics-Engineering board.
Addshore lowered the priority of this task from Normal to Low.May 12 2016, 7:09 PM
Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.

So the easiest way to do this will be to:

  1. Load the simple-json-datasource plugin on grafana
  2. Create a simple web service on labs which can be added as a datasource. This service would read pages such as https://meta.wikimedia.org/wiki/Dashiki:PageviewsAnnotations and output them in the format expected by the plugin

For example the query to get the linked annotations above would be for the tag "PageviewsAnnotations"!

Addshore closed this task as Resolved.Nov 17 2016, 11:56 PM

The investigation here is clearly done, the 1 linked task still needs to be resolved.